extends ../base.jade

block vars
  - var page = 'tag_item', locale = req.getLocale()
  - var tabs = {posts: __('post_m'), events: __('event_m') }

block title
  title= tag['name_'+locale]+' | '+ __('title_right_part')

block main
  .PW.isle
    .Tag
      if session.user && (session.user.type === 'moderator' || session.user.type === 'administrator')
        a.toRight.Fsg(href="/tag/#{tag.id}/edit")= __('edit')

      if tag.knowledge_id
        a(href="/knowledge/#{tag.knowledge_id}", style=""): h1= tag['name_'+locale]
      else 
        h1= tag['name_'+locale]
      if session.user
        .icon-favs.a-subscribeToTag(class= tag.in_interests? 'in_interests' : null, title= tag.in_interests? __('remove_from_favs') : __('add_to_favs'), data-tag-id= tag.id)
      
    #Tabs.Favorites
      .tabs-menu.a-activeItem
        for val, key in tabs
          span.Fsg.item(href= '#'+key, class= (key === 'posts'? 'active' : null ) )= val
  
      #tabs_container
        #posts(style="width: 100%")
          if tag.posts[0].id
            for item in tag.posts
              .Post.UL
                a(style="text-decoration: none", href="/post/#{item.id}"): h2.title= item['title_'+locale]
                if item.tags
                  .Tag
                    img.icon-tag(src="/images/icons/tag.png")
                    - var tags_arr = JSON.parse(item.tags)
                    for tag in tags_arr
                      a.item-tag(href="/tag/#{tag.id}")= tag['name_'+locale]
          else 
            p= __('stub_tag_to_post_not_bound')

        #events(style="width: 100%")
          if tag.events
            for item in tag.with_events
              .Post.UL
                a(style="text-decoration: none", href= "/event/"+item.slug): h2.title= item['name_'+locale]
                //- .Tag
                //-   img.icon-tag(src="/images/icons/tag.png")
                //-   //- - var tags_arr = JSON.parse(item.tags)
                //-   for tag in item.tags
                //-     a.item-tag(href= '/tag/'+tag.id)= tag['name_'+locale]
          else
            p= __('stub_tag_to_event_not_bound')

